> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Factory Reset Device

> Send a factory reset (ACTION-URI key=Reset) to the device



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/auto-provisioning/{deviceId}/factory-reset
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/auto-provisioning/{deviceId}/factory-reset:
    post:
      tags:
        - Auto Provisioning
      summary: Factory Reset Device
      description: Send a factory reset (ACTION-URI key=Reset) to the device
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: deviceId
          required: true
      responses:
        '200':
          description: Factory reset sent to the device
          content:
            application/json:
              schema:
                type: object
                properties:
                  deviceId:
                    type: number
                  mac:
                    type: string
                  sent:
                    type: boolean
                    enum:
                      - true
                required:
                  - deviceId
                  - mac
                  - sent
                additionalProperties: false
        '400':
          description: Device has no line 1 to reach it on
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '404':
          description: Device not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '502':
          description: Notify could not be sent
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.